<!DOCTYPE html>
<html lang="en">

<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>


</head>

<body>

  <div class="container">
    <h2 style="text-align: center;">Danh sách học viên</h2>
    <div class="form-group">
      <button class="btn btn-success" id="btn-add-user"><i class="fa fa-plus"></i>&nbsp; Thêm sinh viên</button>
    </div>
    <table id="user-table" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>Id</th>
          <th>Name</th>
          <th>Birthday</th>
          <th>Email</th>
          <th>Phone</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>

      </tbody>
    </table>

    <!-- Vùng Modal -->

    <!-- Create voucher modal -->
    <div>
      <div id="create-user-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">Thêm sinh viên</h5>
              <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <form>
                <div class="row form-group">
                  <label class="col-sm-4">Name</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-create-name">
                </div>
                <div class="row form-group">
                  <label class="col-sm-4">Birthday</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-create-birthday">
                </div>
                <div class="row form-group">
                  <label class="col-sm-4">Email</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-create-email">
                </div>
                <div class="row form-group">
                  <label class="col-sm-4">Phone</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-create-phone">
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
              <button class="btn btn-primary" id="btn-create-user">Thêm</button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Update voucher modal -->
    <div>
      <div id="update-user-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">Sửa thông tin</h5>
              <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <form>
                <div class="row form-group">
                  <label class="col-sm-4">Name</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-update-name">
                </div>
                <div class="row form-group">
                  <label class="col-sm-4">Birthday</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-update-birthday">
                </div>
                <div class="row form-group">
                  <label class="col-sm-4">Email</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-update-email">
                </div>
                <div class="row form-group">
                  <label class="col-sm-4">Phone</label>
                  <input class="col-sm-8 form-control" type="text" id="inp-update-phone">
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Hủy</button>
              <button class="btn btn-primary" id="btn-update-user">Sửa</button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Delete confirm modal -->
    <div>
      <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">User Delete Confirmation</h5>
              <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <label>Bạn có chắc chắn muốn xóa User này không?</label>
            </div>
            <div class="modal-footer">
              <button class="btn btn-danger" id="btn-confirm-delete-user">Confirm</button>
              <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
<!-- <script src="sample.restAPI.crud.students.v2.1.js"></script> -->
<script src="index.js"></script>

</html>
​